function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { matchPath } from 'react-router';
import PropTypes from 'prop-types';
import { CREATE_CONNECTION } from './reducer';

var ListenerRouter = function (_Component) {
  _inherits(ListenerRouter, _Component);

  function ListenerRouter() {
    _classCallCheck(this, ListenerRouter);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  ListenerRouter.prototype.componentWillMount = function componentWillMount() {
    this.context.store.dispatch({ type: CREATE_CONNECTION });
  };

  ListenerRouter.prototype.render = function render() {
    console.error(this.context.store.getState());
    return React.createElement('div', null);
  };

  return ListenerRouter;
}(Component);

ListenerRouter.propTypes = {
  store: PropTypes.object,
  children: PropTypes.node
};
ListenerRouter.contextTypes = {
  store: PropTypes.object
};


export default ListenerRouter;